#!/usr/bin/perl
#-----------------------------------------------------------------------
# Licensed Materials - Property of IBM
#
# IBM Tape System Library Manager
#
# (C) Copyright IBM Corp. 2004, 2017 All Rights Reserved
#-----------------------------------------------------------------------
#
# @version 1.1  ermm/server/source/hdm/Generic/UnixLibs.pm, ermm, ERMM-1.3.2.1, devrel2-1.2.0.2 10/17/17 00:53:21
#
# @brief
#
# Change activities:
#     - 2017-10-30: Initial version
#
#-----------------------------------------------------------------------
package UnixLibs;
use 5.005;
use strict;
use POSIX;
use genLogFiles;
sub tslmLevel() {
    my $value;
    my $leveldir = "/opt/IBM/ermm/codelvel";
    if (opendir(LEVELDIR, $leveldir)){
        my @levelfiles=readdir(LEVELDIR);
        closedir(LEVELDIR);
        foreach my $file(@levelfiles){
            if ($file =~ /\.lvl/){
                open(INFILE, "$leveldir/$file");
                my $cnt;
                while (<INFILE>){
                    chomp;
                    $cnt .= "\"::\" ";
                    my $_cnt="\"".$_."\" ";
                    $_cnt =~ s/:/\" \"/g;
                    $cnt .= $_cnt;
                }
                close (INFILE);
                $value.=$cnt;
            }
        }
    }
    return $value;
}
1;
